CO_SRDO_t Struct Reference
CANopen_304 » SRDO

SRDO object. More...

`#include <CO_SRDO.h>`

## Data Fields

CO_EM_t * | em
| From CO_SRDO_init()
CO_SDO_t * | SDO
| From CO_SRDO_init()
CO_SRDOGuard_t * | SRDOGuard
| From CO_SRDO_init()
uint8_t * | mapPointer [2][8]
| Pointers to 2*8 data objects, where SRDO will be copied.
uint8_t | dataLength
| Data length of the received SRDO message. More...
uint8_t | nodeId
| From CO_SRDO_init()
uint16_t | defaultCOB_ID [2]
| From CO_SRDO_init()
uint8_t | valid
| 0 - invalid, 1 - tx, 2 - rx
const CO_SRDOCommPar_t * | SRDOCommPar
| From CO_SRDO_init()
const CO_SRDOMapPar_t * | SRDOMapPar
| From CO_SRDO_init()
const uint16_t * | checksum
| From CO_SRDO_init()
CO_CANmodule_t * | CANdevRx
| From CO_SRDO_init()
CO_CANmodule_t * | CANdevTx
| From CO_SRDO_init()
CO_CANtx_t * | CANtxBuff [2]
| CAN transmit buffer inside CANdevTx.
uint16_t | CANdevRxIdx [2]
| From CO_SRDO_init()
uint16_t | CANdevTxIdx [2]
| From CO_SRDO_init()
uint8_t | toogle
| defines the current state
uint32_t | timer
| transmit timer and receive timeout
volatile void * | CANrxNew [2]
| Variable indicates, if new SRDO message received from CAN bus.
uint8_t | CANrxData [2][8]
| 2*8 data bytes of the received message.
void(* | pFunctSignalSafe )(void *object)
| From CO_SRDO_initCallbackEnterSafeState() or NULL.
void * | functSignalObjectSafe
| From CO_SRDO_initCallbackEnterSafeState() or NULL.
void(* | pFunctSignalPre )(void *object)
| From CO_SRDO_initCallbackPre() or NULL.
void * | functSignalObjectPre
| From CO_SRDO_initCallbackPre() or NULL.

## Detailed Description

SRDO object.

## Field Documentation

## dataLength

uint8_t CO_SRDO_t::dataLength

Data length of the received SRDO message.

Calculated from mapping

The documentation for this struct was generated from the following file:

- 304/CO_SRDO.h